//Project: Joystick PS2 and LCD1602 I2C module
//Function: Push joystick and the coordinates X/Y will change
//accordingly on serial monitor and LCD screen. If you press the joystick 
// down Z will be displayed too.
//*********************************************
// include libraries
#include <Wire.h>
#include <LCD.h>
#include <LiquidCrystal_I2C.h>
//*********************************************
const int xPin = A4;      // select the pin for the X
const int yPin = A5;      // select the pin for the Y
const int buttonPin = 8;      // select the pin for the button
LiquidCrystal_I2C lcd(0x3F, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);// initialise the LCD
//*********************************************
void setup()
{
  pinMode(buttonPin, INPUT); // declare the butPin as INPUT
  digitalWrite(buttonPin, HIGH); //set the butnPin to HIGH
  Serial.begin(9600); // initialize serial communications at 9600 bps
  lcd.begin (16, 2);    // define the LCD as 16 column by 2 rows
  lcd.setBacklightPin(3, POSITIVE);
  lcd.setBacklight(HIGH); // switch on the backlight
}

void loop()
{
  Serial.print("X: ");//print "X: "
  Serial.print(analogRead(xPin), DEC); //read the value of analog pin A4 and print it in  decimal
  lcd.setCursor(0, 0);
  lcd.print("X:");
  lcd.print(analogRead(xPin));
  lcd.setCursor(7, 0);
  lcd.print("Y:");
  lcd.print(analogRead(yPin));
  lcd.setCursor(0, 1);
  lcd.print("Z:");
  lcd.print(digitalRead(butPin));
  Serial.print("\tY: "); //print "Y: "
  Serial.print(analogRead(yPin), DEC); //read the value of analog pin A5 and print it in  decimal
  Serial.print("\tZ: "); //print "Z: "
  Serial.println(digitalRead(butPin)); ////read the value of digital pin 8 and print it
  delay(100);//delay 100 ms
  lcd.clear();
}
